get
https://api.caas.staging.bancocdc.com.br/operation/suppliers
The retrieval route is responsible for listing all available suppliers.
Response
| Http Code | Return Code | Message |
|---|---|---|
| 200 | 200-01 | Success. |
| 400 | 400-01 | Something unexpected happened. |
| 400 | 400-09 | There are no results for the query. |
| 401 | 401-05 | Unauthorized or token invalid. |
| 429 | 429-01 | Too many requests. |
Response Parameters
| Parameter | Format | Description |
|---|---|---|
| request_code | string | Code of the request made. |
| return | boolean | Indicates if the request was successful. |
| return_code | string | Return code of the request. |
| message | string | Message indicating the reason for the response. |
| data | array | Array containing information about each purchaser. |
| data.code | string | Code associated with the supplier. |
| data.name | string | Name of the supplier. |
| data.document | string | Document number of the supplier. |
| data.bank_account | string | Supplier's bank account details |